<template src="./template.html"></template>

<script lang="ts">
import { Component, Vue, Watch } from "nuxt-property-decorator";
import { api } from "~/common/constaint";
import { apiErrorHandler } from "~/utils/apiHanlers";
var momentz = require("moment-timezone");
var moment = require("moment");
@Component({})
export default class ProdComponent extends Vue {
  config = {
    page: 1,
    limit: 25,
    search: "",
    priceFrom: "",
    priceTo: "",
    productCostFrom: "",
    productCostTo: "",
  };
  totalPage: number = 1;
  productList = [];

  convertImage(url: string) {
    return `${api}/${url}`;
  }
  async onGetProductList() {
    try {
      this.$store.commit("adminProduct/setLoadingFullPage", true);
      let query = {
        ...this.config,
      };
      const res = await this.$api.productSeller.list(query);
      if (res?.data) {
        const { total } = res.data;
        this.totalPage = Math.ceil(total / this.config.limit);
        this.productList = res.data.data;
        this.$store.commit("sellerStore/setProductList", res.data.data);
      }
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.$store.commit("adminProduct/setLoadingFullPage", false);
    }
  }
  redirectProduct(item: any) {
    return `/products/${item.slug}`;
    // this.$router.push(`/products/${item.slug}`);
  }
  mounted() {
    this.onGetProductList();
  }
  @Watch("config.page")
  changePage() {
    this.onGetProductList();
  }
}
</script>

<style lang="scss" scoped>
.name-input {
  max-width: 237px;
  width: 100%;
  background: white;
  border-radius: 6px;
  @media (max-width: 640px) {
    max-width: 100%;
    margin-bottom: 8px;
  }
}
.number-input {
  max-width: 132px;
  width: 100%;
  background: white;
  border-radius: 6px;
  @media (max-width: 640px) {
    max-width: 98%;
  }
}
</style>
